const admin = require("firebase-admin");
const serviceAccount = require("./serviceAccountKey.json"); // adjust path

admin.initializeApp({
  credential: admin.credential.cert(serviceAccount),
  storageBucket: "virtual-education-hub.appspot.com", // <-- MUST match your bucket name exactly
});

// get the default bucket
const bucket = admin.storage().bucket();
module.exports = bucket;
